<?php

namespace Drupal\ayrshare_node\Form;

use Drupal\Core\Form\FormStateInterface;

/**
 * Provides a form for Ayrshare API Post action.
 */
class PostForm extends AyrshareBaseForm {

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'ayrshare_node_post_form';
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state, $node = NULL) {
    $form = parent::buildForm($form, $form_state);
    $form['actions']['submit']['#value'] = $this->t('Post');
    $form['nid']['#value'] = $node;

    return $form;
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    if ($nid = $form_state->getValue('nid')) {
      $node = $this->entityTypeManager->getStorage('node')->load($nid);
      $platforms = array_values($form_state->getValue('platforms'));
      $platforms = array_filter($platforms);
      $post_ids = $this->apiClient->post($node->get('body')->value, $platforms);

      if (!empty($post_ids)) {
        $tid = key($post_ids);
        $post_ids = reset($post_ids);

        foreach ($post_ids as $pid) {
          $fields = [
            'tid' => $tid,
            'pid' => $pid,
            'nid' => $nid,
          ];

          $this->databaseStorage->insert('post', $fields, [
            'name' => 'pid',
            'value' => $pid,
          ]);
        }
      }
    }
  }

}
